# Tilastoseuran vuosikirja: LaTeX-esimerkki
# Creative Commons, BY 4.0
# Tommi Harkanen

## Esimerkkeja iris-datatiedostolla:

library(ggplot2)
box <- ggplot(data=iris, aes(x=Species, y=Sepal.Length)) +
    geom_boxplot(aes(fill=Species)) + 
    ylab("Verholehden pituus") + ggtitle("Iris Boxplot") +
    stat_summary(fun.y=mean, geom="point", shape=5, size=4)

smooth <- ggplot(data=iris, aes(x=Sepal.Length, y=Sepal.Width, color=Species)) + 
  geom_point(aes(shape=Species), size=1.5) + xlab("Verholehden pituus") + ylab("Verholehden leveys") + 
  ggtitle("Hajontakuvio") + geom_smooth(method="lm")
ggsave("iris.pdf", smooth, width=6, height=4)

library(stargazer)
stargazer(iris)

library(huxtable)
library(plyr)
library(dplyr)

tbl1 <- ddply(iris, .(Species), summarize,
              Sepal.Length.mean=mean(Sepal.Length),
              Sepal.Length.sd=sd(Sepal.Length),
              Sepal.Width.mean=mean(Sepal.Width),
              Sepal.Width.sd=sd(Sepal.Width))

library(xtable)

print(xtable(tbl1), type="latex")
